#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	qpdf
Version		:	10.0.4
Release		:	14.4.0.0%{?dist}
Summary		:	Command-line tools and library for transforming PDF files
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Apache
URL		:	http://qpdf.sourceforge.net
			#https://github.com/qpdf/qpdf/releases

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libjpeg-turbo
BuildRequires	:	libxslt
#-----------------------------------------------------------------------------
%description
QPDF is a command-line program that does structural, content-preserving
transformations on PDF files. It could have been called something
like pdf-to-pdf. It includes support for merging and splitting PDFs
and to manipulate the list of pages in a PDF file. It is not a PDF
viewer or a program capable of converting PDF into other formats.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static 				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%files			
%defattr(-,root,root,-)
%doc LICENSE.txt README.md
%{_bindir}/fix-qdf
%{_bindir}/%{name}
%{_bindir}/zlib-flate
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/*.hh
%{_libdir}/lib%{name}.{la,so*}
%{_libdir}/pkgconfig/lib%{name}.pc
%{_defaultdocdir}/%{name}-%{version}/*
%{_mandir}/man1/*.1.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
